Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

Failed to install libraries [ Forge server 1.16.5 ]


Recommended Posts

Hello, I have been recently having this issue for installing forge server on one of my folders. Every time I try to install the server client, I constantly keep getting errors for not completely installing all the libraries. Despite the fact I already have done every fix mentioned on other topics on this forum. I will also upload my log here. if needed

forge-1.16.5-36.1.0-installer.jar.log

forge-1.16.5-36.1.13-installer.jar.log

Edited by uTeACup
Link to post
Share on other sites

i have the same issue!

i think it has something to do with the forge websites, it just doesnt install and keeps redirecting

i tried almost every version and updated java to newest version, downloaded every installer of the version

Link to post
Share on other sites

delete your post i found the answer!

this message i got from clicking on a message on this forum

 

Some Old installers currently do not work, Use latest for your version

×

By diesieben07
04/20/21

Most Old installers currently do not work.

We know. Please do not make a topic about it.

You can use any of these versions, their installer has been updated to work with the server migration:

1.5.2-7.8.1.738
1.6.4-9.11.1.1345
1.7.10-10.13.4.1614-1.7.10
1.8.9-11.15.1.2318-1.8.9
1.9.4-12.17.0.2317-1.9.4
1.10.2-12.18.3.2511
1.11.2-13.20.1.2588

They other archived versions are not a priority because they are not for supported versions, however they will be fixed eventually.

Link to post
Share on other sites

I'm experiencing the same issue with forge-1.16.5-36.1.13-installer. I see in the installer log that there are time outs, however I can ping the redirect URLs. So it appears ICMP is working.  But I am not sure if maybe a DNS record is just pointing to the wrong IP?  I've attached my log as well for reference. 

 

Thanks

forge-1.16.5-36.1.13-installer.jar.log

Link to post
Share on other sites
15 minutes ago, S203 said:

But I am not sure if maybe a DNS record is just pointing to the wrong IP?

I having same problem, but i don't think that it is DNS's problem, because you able to download files, but i noticed kinda interesting pattern:
If I try to download package using curl, everything if fine, but if you will try to download something during getting error, you will not able to do this, i think that  protection against  ddos attacks, block requests if you send them often

UPD: Using Cheat Engine I freeze process during checking every checksum about 5-10s, I don't know, is it was a thing, that allowed me to get files, but it seems i downloaded everything fine, but got another error:





OS: Windows 10, Java: OpenJDK 17

Edited by Reiku
Link to post
Share on other sites
16 minutes ago, Reiku said:

Java: OpenJDK 17

Have you tried with Java 8? Java 8 is the one that ships with MC, so is likely most compatible, and I think I saw someone say that forge works with up to Java 15.

 

*edit: also, your log says Java 16

Quote

[18:19:15] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher 8.0.9+86+master.3cf110c starting: java version 16.0.1 by AdoptOpenJDK

 

Edited by Ugdhar
Link to post
Share on other sites
Just now, Ugdhar said:

Have you tried with Java 8? Java 8 is the one that ships with MC, so is likely most compatible, and I think I saw someone say that forge works with up to Java 15.

Yep, with Java 8, OpenJDK and on various systems (Windows, ArchLinux), i posted this cuz it was the only one successful attempt to get packages

Link to post
Share on other sites

I am having the same/similar issue, although not on supported Forge (1.12.2). Getting Forge Gradle to do anything today has been impossible. It times out on downloading libraries, or it downloads them and hits a point where it says "Too Many Requests". How can the request limit be lower than the number of libraries that need to be downloaded?

Link to post
Share on other sites
2 minutes ago, uTeACup said:

server client right?

 

My way is freezing the process during validation using cheat engine or process hacker to make installer wait until server allow to download nrxt file

Link to post
Share on other sites
8 minutes ago, hawka97 said:

I am having the same/similar issue, although not on supported Forge (1.12.2). Getting Forge Gradle to do anything today has been impossible. It times out on downloading libraries, or it downloads them and hits a point where it says "Too Many Requests". How can the request limit be lower than the number of libraries that need to be downloaded?

I've attached a log of the behavior where the server responds HTTP 429

broken-forge-gradle-setup.txt

Link to post
Share on other sites
Just now, hawka97 said:

I've attached a log of the behavior where the server responds HTTP 429

Your issue is not at all relevant to this thread. You are using an outdated, unsupported version.

Link to post
Share on other sites
4 minutes ago, uTeACup said:

server client right?

 

I did both client and server just in case there was a difference in downloading/installing either one, both worked.

1 minute ago, uTeACup said:

UPDATE: Guys its fixed, I just ran it once more time it worked. the missing libraries have been installed now. thank you

Glad it's working for ya, only thing I could think of if it works for me but not you guys would be some sort of internet/firewall issues or something!

Link to post
Share on other sites
6 minutes ago, Ugdhar said:

I did both client and server just in case there was a difference in downloading/installing either one, both worked.

Glad it's working for ya, only thing I could think of if it works for me but not you guys would be some sort of internet/firewall issues or something!

I thought about this, but proxies and VPN didn't helped, now I have packages, but have no idea why it is not working

Bout OpenJDK: idk, I downloaded and installed OpenJDK 17 from official site, have no idea, why it shows 16

Link to post
Share on other sites
8 minutes ago, diesieben07 said:

Your issue is not at all relevant to this thread. You are using an outdated, unsupported version.

I'd argue that my issue was relevant to this forum post, because I was also seeing similar read timeouts and issues with Maven. Thank you for the account warning though. Please feel free to delete/ban my account, simply because I posted about an outdated version of MC, which shouldn't matter when it comes to Maven repository response issues. Thank you for continuing to alienate a large portion of your mod development community by messing with (and updating) older versions, but refusing to provide support whatsoever. I was simply trying to provide an example of an issue that seemed more widespread than just the user who posted.

Edited by hawka97
  • Like 1
Link to post
Share on other sites
Just now, Reiku said:

Bout OpenJDK: idk, I downloaded and installed OpenJDK 17 from official site, have no idea, why it shows 16

I can confirm from a post in another thread that forge only supports up to Java 15.

If installing another Java version results in an unexpected version running, this is due to the path setup. Either the path needs to be corrected, or all versions except the one you're trying to use should be removed.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.